fixed unset variable error
diff --git a/source/1.0/bin/gen_test_results.sh b/source/1.0/bin/gen_test_results.sh
index ecfcd4e..1178d1b 100755
--- a/source/1.0/bin/gen_test_results.sh
+++ b/source/1.0/bin/gen_test_results.sh
@@ -52,7 +52,7 @@
 output=`shlib_relToAbsPath "${output}"`
 
 # checks
-[ -n "${FLAGS_suite}" ] || die 'suite flag missing'
+[ -n "${FLAGS_suite:-}" ] || die 'suite flag missing'
 
 if [ ${FLAGS_dry_run} -eq ${FLAGS_FALSE} -a -f "${output}" ]; then
   if [ ${FLAGS_force} -eq ${FLAGS_TRUE} ]; then